[android-components](../../index.md) / [mozilla.components.browser.session.tab](../index.md) / [CustomTabActionButtonConfig](./index.md)

# CustomTabActionButtonConfig

`data class CustomTabActionButtonConfig` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/session/src/main/java/mozilla/components/browser/session/tab/CustomTabConfig.kt#L196)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `CustomTabActionButtonConfig(description: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, icon: `[`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html)`, pendingIntent: `[`PendingIntent`](https://developer.android.com/reference/android/app/PendingIntent.html)`)` |

### Properties

| Name | Summary |
|---|---|
| [description](description.md) | `val description: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [icon](icon.md) | `val icon: `[`Bitmap`](https://developer.android.com/reference/android/graphics/Bitmap.html) |
| [pendingIntent](pending-intent.md) | `val pendingIntent: `[`PendingIntent`](https://developer.android.com/reference/android/app/PendingIntent.html) |
